'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

let getPullRequestLabel = (() => {
    var _ref = _asyncToGenerator(function* (githubRepo, validLabels, pullRequestId, { githubClient }) {
        const validLabelNames = Array.from(validLabels.keys());

        var _githubRepo$split = githubRepo.split('/'),
            _githubRepo$split2 = _slicedToArray(_githubRepo$split, 2);

        const owner = _githubRepo$split2[0],
              repo = _githubRepo$split2[1];

        const params = { owner, repo, number: pullRequestId };

        var _ref2 = yield githubClient.issues.getIssueLabels(params);

        const labels = _ref2.data;


        const listOfLabels = validLabelNames.join(', ');
        const filteredLabels = labels.filter(function (label) {
            return validLabelNames.indexOf(label.name) !== -1;
        });

        if (filteredLabels.length > 1) {
            throw new Error(`Pull Request #${pullRequestId} has multiple labels of ${listOfLabels}`);
        } else if (filteredLabels.length === 0) {
            throw new Error(`Pull Request #${pullRequestId} has no label of ${listOfLabels}`);
        }

        return filteredLabels[0].name;
    });

    return function getPullRequestLabel(_x, _x2, _x3, _x4) {
        return _ref.apply(this, arguments);
    };
})();

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

exports.default = getPullRequestLabel;